<template>
  <div class="item-ctn">
    <a :href="universeUrl" class="item-link">
      <div class="badged-img">
        <div class="img">
          <img :src="imageUrl" alt="universe" />
        </div>
        <Badge v-if="universe.badge" :badge="universe.badge" class="badge" />
      </div>
      <h2 class="text--black">{{ universe.title }}</h2>
      <p class="text--black" v-html="universe.description" />
    </a>
  </div>
</template>

<script>
import Badge from '~/components/ui/UniverseBadge'

export default {
  components: { Badge },
  props: {
    universe: {
      type: Object,
      required: true
    }
  },
  computed: {
    imageUrl() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/universe-page/${this.universe.id}-380x214.jpg?v=${this.universe.version}`
    },
    universeUrl() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}${
        this.$utils.aboArea() ? '/abo' : ''
      }/universe/${this.universe.slug}-${this.universe.id}`
    }
  }
}
</script>

<style lang="scss" scoped>
.item-ctn {
  max-width: 380px;

  @media (max-width: 768px) {
    margin-bottom: 30px;
    padding: 0 10px;
  }

  h2 {
    font-size: 35px;
    padding: 27px 0 8px;
  }

  .img {
    position: relative;

    img {
      display: block;
    }
  }

  .badged-img {
    position: relative;

    .badge {
      position: absolute;
      left: 0;
      bottom: 0;
    }
  }

  .item-link {
    &:hover {
      h2 {
        color: $color-secondary;
      }

      & .img::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.2);
        top: 0;
        left: 0;
      }
    }
  }
}
</style>
